### Hierarchy

- Choice
  - RadioChoice

### Implements

- IRenderable

## Index

### Constructors

- constructor

### Methods

- inputType
- render

## Constructors

### constructor

- new RadioChoice(spec: ISpecification): RadioChoice

- Inherited from Choice.constructor

  - Defined in lib/renderable/choice/Choice.ts:16

  #### Parameters

  - ##### spec: ISpecification

  #### Returns RadioChoice

## Methods

### inputType

- inputType(): "radio" | "checkbox"

- Overrides Choice.inputType

  - Defined in lib/renderable/choice/index.ts:50

  #### Returns "radio" | "checkbox"

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IRenderable.render

  Inherited from Choice.render

  - Defined in lib/renderable/choice/Choice.ts:22

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

Generated using TypeDoc